#!/bin/bash
# digitec-sugarcrm-master Copyright (c) by DIGITEC GmbH 2012

LDAPBASE=$(/usr/sbin/univention-config-registry get ldap/base)
UDM=/usr/sbin/univention-directory-manager

$UDM container/cn create --position "cn=custom attributes,cn=univention,$LDAPBASE" \
  --set name="DIGITEC SugarCRM Attributes" --ignore_exists


$UDM container/cn create --position "cn=univention,$LDAPBASE" \
  --set name="digitecSyntax" --ignore_exists

$UDM container/cn create --position "cn=digitecSyntax,cn=univention,$LDAPBASE" \
  --set name="Syntax_SugarCRM_Active"\
  --set description="Active" --ignore_exists

$UDM container/cn create --position "cn=digitecSyntax,cn=univention,$LDAPBASE" \
  --set name="Syntax_SugarCRM_Terminated"\
  --set description="Terminated" --ignore_exists

$UDM container/cn create --position "cn=digitecSyntax,cn=univention,$LDAPBASE" \
  --set name="Syntax_SugarCRM_Leave_of_Absence"\
  --set description="Leave of Absence" --ignore_exists

$UDM settings/syntax create --position "cn=digitecSyntax,cn=univention,$LDAPBASE" \
 --set name="Syntax_SugarCRM_Employee_Status" \
 --set ldapattribute="description" \
 --set value=None \
 --set ldapvalue="description" \
 --set filter='(&(cn=Syntax_SugarCRM_*)(objectClass=organizationalRole))'\
 --set base="cn=digitecSyntax,cn=univention,$LDAPBASE" \
 --set viewonly=FALSE --ignore_exists

$UDM settings/extended_attribute create --position "cn=DIGITEC SugarCRM Attributes,cn=custom attributes,cn=univention,$LDAPBASE" \
 --set name="Is_Active_SugarCRM"  \
 --set module=users/user \
 --set objectClass=digitecSugarCRM \
 --set ldapMapping=SugarCRMActive \
 --set shortDescription="Use SugarCRM" \
 --set 'translationShortDescription="de_DE" "SugarCRM benutzen"' \
 --set tabName=SugarCRM \
 --set syntax=OkOrNot \
 --set mayChange=1 \
 --set tabPosition=1 --ignore_exists

$UDM settings/extended_attribute create --position "cn=DIGITEC SugarCRM Attributes,cn=custom attributes,cn=univention,$LDAPBASE" \
 --set name="Is_Admin_SugarCRM"  \
 --set module=users/user  \
 --set objectClass=digitecSugarCRM \
 --set ldapMapping=SugarCRMIsAdmin \
 --set shortDescription="Administrator User" \
 --set 'translationShortDescription="de_DE" "Administrator"' \
 --set tabName=SugarCRM \
 --set syntax=OkOrNot \
 --set mayChange=1 \
 --set tabPosition=2 --ignore_exists


$UDM settings/extended_attribute create --position "cn=DIGITEC SugarCRM Attributes,cn=custom attributes,cn=univention,$LDAPBASE" \
 --set name="EmployeeStatus_SugarCRM"  \
 --set module=users/user  \
 --set objectClass=digitecSugarCRM \
 --set ldapMapping=SugarCRMEmployeeStatus \
 --set shortDescription="Employee Status" \
 --set 'translationShortDescription="de_DE" "Anstellungsart"' \
 --set tabName=SugarCRM \
 --set syntax=Syntax_SugarCRM_Employee_Status \
 --set mayChange=1 \
 --set tabPosition=3  --ignore_exists

$UDM settings/extended_attribute create --position "cn=DIGITEC SugarCRM Attributes,cn=custom attributes,cn=univention,$LDAPBASE" \
 --set name="Roles_SugarCRM"  \
 --set module=users/user  \
 --set objectClass=digitecSugarCRM \
 --set ldapMapping=SugarCRMRoles \
 --set shortDescription="SugarCRM Roles" \
 --set 'translationShortDescription="de_DE" "SugarCRM Rollen"' \
 --set tabName=SugarCRM \
 --set mayChange=1 \
 --set multivalue=1 \
 --set tabPosition=5 --ignore_exists

